Summary: ProFTPD -- Professional FTP Server.
Name: proftpd
Version: 1.2.0pre8
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://www.proftpd.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.tos.net/pub/proftpd/proftpd-%{version}.tar.gz
Source1: proftpd.conf
Source2: proftpd.logrotate
BuildRoot: /var/tmp/%{name}-root
Conflicts: wu-ftpd ncftpd beroftpd
Requires: pam >= 0.59

%description
ProFTPD is an enhanced FTP server with a focus toward simplicity,
security, and ease of configuration.  It features a very Apache-like
configuration syntax, and a highly customizable server infrastructure,
including support for multiple 'virtual' FTP servers, anonymous FTP, and
permission-based directory visibility.

Full online documentation is available at http://www.proftpd.org,
including a server configuration directive reference manual.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc --localstatedir=/var/run \
	--disable-shadow \
	--with-modules=mod_pam:mod_linuxprivs:mod_ratio:mod_readme
make


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` \
	prefix=$RPM_BUILD_ROOT/usr \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	rundir=$RPM_BUILD_ROOT/var/run/proftpd

mkdir -p $RPM_BUILD_ROOT/{etc/{pam.d,logrotate.d},home/ftp}
install -m644 contrib/ftp.pamd $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/proftpd.conf
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/proftpd
touch $RPM_BUILD_ROOT/etc/ftpusers

cp -p contrib/README README.contrib


%post
fgrep -q -s in.proftpd /etc/inetd.conf || \
    perl -pi -e 's|in.ftpd -l -a|in.proftpd|' /etc/inetd.conf
killall -HUP inetd 2> /dev/null ||:

%preun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
        rm -rf /var/run/proftpd/*
    fi
fi

%postun
if [ $1 = 0 ] ; then
        perl -pi -e 's|in.proftpd|in.ftpd -l -a|' /etc/inetd.conf
fi
killall -HUP inetd 2> /dev/null ||:


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README* doc sample-configurations
%doc contrib/xferstats.holger-preiss
%config /etc/ftpusers
%config /etc/logrotate.d/proftpd
%config /etc/pam.d/ftp
%config /etc/proftpd.conf
%dir /home/ftp
%dir /var/run/proftpd
/usr/bin/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

